Skip to content
GET /webhook

Response Body

limitnumber
next_cursorstring
resultsobject[]
created_atstring · date-time

The date and time when the webhook was created.

Example: 2021-08-10T10:00:00.000Z
environment_idstring · uuid

The ID of the environment that this webhook belongs to.

Example: 05daecaf-4365-42e8-8370-8127de5dd717
event_typesstring[]

The list of event types that the webhook is subscribed to.

Example: ["integrated_account:created", "integrated_account:updated"]
Possible values:
sync_job_run:createdsync_job_run:updatedsync_job_run:startedsync_job_run:completedsync_job_run:failedsync_job_run:recordintegrated_account:createdintegrated_account:updatedintegrated_account:activeintegrated_account:reactivatedintegrated_account:authentication_errorintegrated_account:post_install_error+ 10 more
idstring · uuid

The ID of the webhook.

Example: 4a4de828-f4db-4c9e-adfd-434e0864c3c7
is_activeboolean

Whether the webhook is active or not. Inactive webhooks will not receive any data.

Example: true
target_urlstring

The URL where the webhook should send the data.

Example: https://example.com/webhook
updated_atstring · date-time

The date and time when the webhook was last updated.

Example: 2021-08-10T10:00:00.000Z
curl -X GET 'https://api.truto.one/webhook' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.truto.one/webhook', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/webhook"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

for await (const item of truto.webhook.list()) {
  console.log(item);
}
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.webhooks.list():
        print(item)

asyncio.run(main())